﻿extern alias directx;

using System;

namespace ConsoleAppWithLibraryAliases {
	class Program {
		static void Main(string[] args) {
			Console.WriteLine("Main application will initialize both OpenGL and DirectX ...");

			// WITHOUT ALIASES:
			// Error: The type 'Class1' exists in both 'DirectXClassLibrary, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null'
			//		  and 'OpenGLClassLibrary, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null'
			// Graphics.Class1.Initialize();

			// WITH directx ALIAS:
			var a = Graphics.Class1.Initialize();
			var b = directx::Graphics.Class1.Initialize();

			a.m();
			b.m();
		}
	}
}
